Loading...
Searching...
No Matches
PluginUI Class Reference

`#include <gx_main_window.h>`

Inheritance diagram for PluginUI:

## Public Member Functions

PluginType | get_type () const
bool | has_gui () const
const char * | get_id () const
const char * | get_name () const
void | activate (bool animate)
void | decativate (bool animate)
void | set_action (Glib::RefPtr< ToggleAction > &act)
void | set_active (bool v)
Glib::RefPtr< ToggleAction > | get_action ()
virtual void | on_plugin_preset_popup ()
const char * | get_category ()
const char * | get_shortname () const
void | update_rackbox ()
void | compress (bool state)
void | hide (bool animate)
void | show (bool animate)
void | set_config_mode (bool state)
void | on_ti_drag_begin (const Glib::RefPtr< Gdk::DragContext > &context)
void | on_ti_drag_end (const Glib::RefPtr< Gdk::DragContext > &context)
void | on_ti_drag_data_get (const Glib::RefPtr< Gdk::DragContext > &context, Gtk::SelectionData &selection, int info, int timestamp)
void | on_ti_drag_data_delete (const Glib::RefPtr< Gdk::DragContext > &context)
bool | on_ti_button_press (GdkEventButton *ev)
bool | on_my_leave_out (GdkEventCrossing *focus)
bool | on_my_enter_in (GdkEventCrossing *focus)
void | add_toolitem (Gtk::ToolItemGroup *gw)
void | activate (bool animate, const string &before)
void | deactivate (bool animate)
bool | get_update_cond ()
void | set_update_state (bool state)
void | on_state_change ()
void | remove (bool animate)
void | dispose_rackbox ()
bool | on_rack_handle_press (GdkEventButton *ev)
Glib::ustring | get_displayname (bool useshort) const
sigc::signal< void(bool)> * | get_output_widget_state ()

## Static Public Member Functions

static bool | is_registered (gx_engine::GxMachineBase &m, const char *name)

## Public Attributes

gx_engine::Plugin * | plugin
PluginDict & | plugin_dict

## Protected Member Functions

| PluginUI (PluginDict &plugin_dict, const char *id_, const Glib::ustring &tooltip_="")
virtual | ~PluginUI ()

## Private Member Functions

void | on_action_toggled ()
bool | animate_vanish ()

## Private Attributes

Glib::RefPtr< ToggleAction > | action
Gtk::ToolItemGroup * | group
Gtk::ToolItem * | toolitem
RackBox * | rackbox
| rack widget or nullptr
bool | hidden
| Plugin not visible (but might be in rack, e.g. "Rack" is off).
bool | active
| Plugin is in rack (effect bar icon not visible).
sigc::signal< void(bool)> | output_widget_state
| state of output_widgets_active changed
bool | output_widgets_active
| send data updates for output variables
Glib::ustring | tooltip
const char * | shortname

## Friends

class | PluginDict
class | RackContainer
bool | plugins_by_name_less (PluginUI *a, PluginUI *b)

## Detailed Description

Definition at line 410 of file gx_main_window.h.

## Constructor & Destructor Documentation

## PluginUI()

PluginUI::PluginUI | ( | PluginDict & | plugin_dict,
|  | const char * | id_,
|  | const Glib::ustring & | tooltip_ = "" )

protected

Referenced by plugins_by_name_less.

## ~PluginUI()

virtual PluginUI::~PluginUI | ( |  | ) |

protected virtual

## Member Function Documentation

## activate() [1/2]

void PluginUI::activate | ( | bool | animate | ) |

## activate() [2/2]

void PluginUI::activate | ( | bool | animate,
|  | const string & | before )

## add_toolitem()

void PluginUI::add_toolitem | ( | Gtk::ToolItemGroup * | gw | ) |

## animate_vanish()

bool PluginUI::animate_vanish | ( |  | ) |

private

## compress()

void PluginUI::compress | ( | bool | state | ) |

## deactivate()

void PluginUI::deactivate | ( | bool | animate | ) |

## decativate()

void PluginUI::decativate | ( | bool | animate | ) |

## dispose_rackbox()

void PluginUI::dispose_rackbox | ( |  | ) |

## get_action()

Glib::RefPtr< ToggleAction > PluginUI::get_action | ( |  | ) |

inline

Definition at line 450 of file gx_main_window.h.

## get_category()

const char * PluginUI::get_category | ( |  | ) |

inline

Definition at line 453 of file gx_main_window.h.

## get_displayname()

Glib::ustring PluginUI::get_displayname | ( | bool | useshort | ) | const

## get_id()

const char * PluginUI::get_id | ( |  | ) | const

inline

Definition at line 444 of file gx_main_window.h.

## get_name()

const char * PluginUI::get_name | ( |  | ) | const

inline

Definition at line 445 of file gx_main_window.h.

Referenced by get_shortname().

## get_output_widget_state()

sigc::signal< void(bool)> * PluginUI::get_output_widget_state | ( |  | ) |

inline

Definition at line 490 of file gx_main_window.h.

## get_shortname()

const char * PluginUI::get_shortname | ( |  | ) | const

inline

Definition at line 457 of file gx_main_window.h.

## get_type()

PluginType PluginUI::get_type | ( |  | ) | const

inline

Definition at line 437 of file gx_main_window.h.

## get_update_cond()

bool PluginUI::get_update_cond | ( |  | ) |

## has_gui()

bool PluginUI::has_gui | ( |  | ) | const

inline

Definition at line 440 of file gx_main_window.h.

## hide()

void PluginUI::hide | ( | bool | animate | ) |

## is_registered()

bool PluginUI::is_registered | ( | gx_engine::GxMachineBase & | m,
|  | const char * | name )

static

## on_action_toggled()

void PluginUI::on_action_toggled | ( |  | ) |

private

## on_my_enter_in()

bool PluginUI::on_my_enter_in | ( | GdkEventCrossing * | focus | ) |

## on_my_leave_out()

bool PluginUI::on_my_leave_out | ( | GdkEventCrossing * | focus | ) |

## on_plugin_preset_popup()

virtual void PluginUI::on_plugin_preset_popup | ( |  | ) |

virtual

## on_rack_handle_press()

bool PluginUI::on_rack_handle_press | ( | GdkEventButton * | ev | ) |

## on_state_change()

void PluginUI::on_state_change | ( |  | ) |

## on_ti_button_press()

bool PluginUI::on_ti_button_press | ( | GdkEventButton * | ev | ) |

## on_ti_drag_begin()

void PluginUI::on_ti_drag_begin | ( | const Glib::RefPtr< Gdk::DragContext > & | context | ) |

## on_ti_drag_data_delete()

void PluginUI::on_ti_drag_data_delete | ( | const Glib::RefPtr< Gdk::DragContext > & | context | ) |

## on_ti_drag_data_get()

void PluginUI::on_ti_drag_data_get | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | Gtk::SelectionData & | selection,
|  | int | info,
|  | int | timestamp )

## on_ti_drag_end()

void PluginUI::on_ti_drag_end | ( | const Glib::RefPtr< Gdk::DragContext > & | context | ) |

## remove()

void PluginUI::remove | ( | bool | animate | ) |

## set_action()

void PluginUI::set_action | ( | Glib::RefPtr< ToggleAction > & | act | ) |

## set_active()

void PluginUI::set_active | ( | bool | v | ) |

inline

Definition at line 449 of file gx_main_window.h.

## set_config_mode()

void PluginUI::set_config_mode | ( | bool | state | ) |

## set_update_state()

void PluginUI::set_update_state | ( | bool | state | ) |

## show()

void PluginUI::show | ( | bool | animate | ) |

## update_rackbox()

void PluginUI::update_rackbox | ( |  | ) |

## Friends And Related Symbol Documentation

## PluginDict

friend class PluginDict

friend

Definition at line 411 of file gx_main_window.h.

Referenced by PluginDict, and PluginUI().

## plugins_by_name_less

bool plugins_by_name_less | ( | PluginUI * | a,
|  | PluginUI * | b )

friend

## RackContainer

friend class RackContainer

friend

Definition at line 412 of file gx_main_window.h.

Referenced by RackContainer.

## Member Data Documentation

## action

Glib::RefPtr<ToggleAction> PluginUI::action

private

Definition at line 414 of file gx_main_window.h.

Referenced by get_action(), and set_active().

## active

bool PluginUI::active

private

Plugin is in rack (effect bar icon not visible).

Definition at line 420 of file gx_main_window.h.

## group

Gtk::ToolItemGroup* PluginUI::group

private

Definition at line 416 of file gx_main_window.h.

## hidden

bool PluginUI::hidden

private

Plugin not visible (but might be in rack, e.g. "Rack" is off).

Definition at line 419 of file gx_main_window.h.

## output_widget_state

sigc::signal<void(bool)> PluginUI::output_widget_state

private

state of output_widgets_active changed

Definition at line 421 of file gx_main_window.h.

Referenced by get_output_widget_state().

## output_widgets_active

bool PluginUI::output_widgets_active

private

send data updates for output variables

Definition at line 422 of file gx_main_window.h.

## plugin

gx_engine::Plugin* PluginUI::plugin

Definition at line 432 of file gx_main_window.h.

Referenced by get_category(), get_id(), get_name(), get_shortname(), get_type(), and has_gui().

## plugin_dict

PluginDict& PluginUI::plugin_dict

Definition at line 435 of file gx_main_window.h.

Referenced by PluginUI().

## rackbox

RackBox* PluginUI::rackbox

private

rack widget or nullptr

Definition at line 418 of file gx_main_window.h.

## shortname

const char* PluginUI::shortname

private

Definition at line 424 of file gx_main_window.h.

Referenced by get_shortname().

## toolitem

Gtk::ToolItem* PluginUI::toolitem

private

Definition at line 417 of file gx_main_window.h.

## tooltip

Glib::ustring PluginUI::tooltip

private

Definition at line 423 of file gx_main_window.h.

The documentation for this class was generated from the following file:

- src/headers/gx_main_window.h